## NMSettingOlpcMesh NMSettingOlpcMesh — Describes connection properties for OLPC-Mesh devices |

## Functions

NMSetting * | nm_setting_olpc_mesh_new ()
GBytes * | nm_setting_olpc_mesh_get_ssid ()
guint32 | nm_setting_olpc_mesh_get_channel ()
const char * | nm_setting_olpc_mesh_get_dhcp_anycast_address ()

## Properties

guint | channel | Read / Write
char * | dhcp-anycast-address | Read / Write
GBytes * | ssid | Read / Write

## Types and Values

#define | NM_SETTING_OLPC_MESH_SETTING_NAME
#define | NM_SETTING_OLPC_MESH_SSID
#define | NM_SETTING_OLPC_MESH_CHANNEL
#define | NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS
| NMSettingOlpcMesh

## Object Hierarchy

        GObject
        ╰── NMSetting
            ╰── NMSettingOlpcMesh

## Description

The NMSettingOlpcMesh object is a NMSetting subclass that describes properties necessary for connection to OLPC-Mesh devices.

## Functions

### nm_setting_olpc_mesh_new ()

    NMSetting *
    nm_setting_olpc_mesh_new (void);

Creates a new NMSettingOlpcMesh object with default values.

#### Returns

the new empty NMSettingOlpcMesh object

### nm_setting_olpc_mesh_get_ssid ()

    GBytes *
    nm_setting_olpc_mesh_get_ssid (NMSettingOlpcMesh *setting);

#### Parameters

setting | the NMSettingOlpcMesh |

#### Returns

.

[transfer none]

### nm_setting_olpc_mesh_get_channel ()

    guint32
    nm_setting_olpc_mesh_get_channel (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const char *
    nm_setting_olpc_mesh_get_dhcp_anycast_address
                                   (NMSettingOlpcMesh *setting);

## Types and Values

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"

### NMSettingOlpcMesh

    typedef struct _NMSettingOlpcMesh NMSettingOlpcMesh;

OLPC Wireless Mesh Settings

## Property Details

### The `“channel”` property

      “channel”                  guint

Channel on which the mesh network to join is located.

Owner: NMSettingOlpcMesh

Flags: Read / Write

Default value: 0

### The `“dhcp-anycast-address”` property

      “dhcp-anycast-address”     char *

Anycast DHCP MAC address used when requesting an IP address via DHCP. The specific anycast address used determines which DHCP server class answers the request.

This is currently only implemented by dhclient DHCP plugin.

Owner: NMSettingOlpcMesh

Flags: Read / Write

Default value: NULL

### The `“ssid”` property

      “ssid”                     GBytes *

SSID of the mesh network to join.

Owner: NMSettingOlpcMesh

Flags: Read / Write